Redmine - Feature #1151

Open Links in New-Window
2008-05-01 11:14 - Marco Tralles

Status: New Start date: 2008-05-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

actualy each detetected link in ticet-descriptions or other texts will open in the same window and so the open redmine gets lost. by
creating xhtml-sites it's not allowed to use the target-tag - i know - but you can use this kind of javascript-pendant i use also for
WAI-compatible sites:

<a href="http://www.any-target-domain.tld" onclick="window.open(this.href); return false;" title="external
link">www.any-target-domain.tld</a>

it would be helpfull if this behavior will be added to redmine.

Related issues:

Related to Redmine - Feature #13263: Prevent confusion generated by the top H... Closed

Has duplicate Redmine - Feature #3801: Links to external pages should get a t... Closed 2009-09-01
Blocked by Redmine - Defect #20841: Bare URLs in Markdown don't have "externa... Closed

History

#1 - 2008-05-02 20:25 - Jean-Philippe Lang
- Target version deleted (0.7.1)

#2 - 2009-08-26 19:26 - William C

For open link in new window - it seems the following code should work, but it doesn't in Redmine. The code does work on the following Textile page:
http://textile.thresholdstate.com/

<a href="http://ad.com"; target="_blank">http://ad.com</a>

When | use it in redmine, the notextile tags do not appear, but the <a href...> appears inline.

#3 - 2013-02-07 13:50 - Filou Centrinov
Duplicate: #3801

#4 - 2013-02-07 16:53 - Daniel Felix

Filou Centrinov wrote:

Duplicate: #3801

Indeed. Thanks! I've closed #3801.

#5 - 2013-02-09 03:05 - Mischa The Evil
FWIW: #3801#note-13 (note-13) contains a patch by Filou Centrinov.

#6 - 2014-05-08 00:51 - Szabolcs Szasz

See the redmine_open_links_in_new_window plugin, which seems to do a good job at this!

#7 - 2014-12-01 14:19 - Go MAEDA
- File 1151-patch-open-in-a-new-window.diff added
This is a patch to open external links and the help in a new window.

#8 - 2015-06-30 04:23 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2015-09-26 05:54 - Go MAEDA
- Blocked by Defect #20841: Bare URLs in Markdown don't have "external” class added

#10 - 2015-10-27 10:52 - Jens Kramer
Every browser | can think of has a feature to open links in a new tab and/or window (i.e. Ctrl-Click). Why should we take away the possibility to
actually open the link in the same tab / window without gaining anything?

On a side note, if this would be implemented, we could do so without Javascript and just put target="_blank" in the link directly since the target
attribute is not deprecated anymore with HTML5.

#11 - 2015-11-27 08:24 - Alexander Ryabinovskiy

You can open any normal link in a new window by clicking the middle mouse button (or Ctrl, as mentioned above). This is a logical and usual
behavior. | don't see any problem.

#12 - 2016-02-16 16:13 - Anthony Cartmell

Yes, if you remember you can hold down Ctrl or Shift (depending on browser) to get a new tab. But | work with lots of different browsers, and regularly
forget to do this (I use a Wacom pen, so middle-mouse is tricky).

| know not everyone wants all external links to open in a new tab, but it would certainly be very welcome as an option here. By it's nature Redmine is
a site | want to keep open in a tab forever, and | never want links external to the Redmine to open in the Redmine tab replacing my issue tracker.

#13 - 2017-03-28 19:41 - Stu West

| agree that this would be an extremely helpful feature. It's true that | can open links in a new tab by using command-click (or other OS-specific option)
but it's extremely annoying every time | forget to do this. | think the ideal solution would be an ability to toggle target="_blank" as a sitewide default in
the settings plus an ability to add it to or remove it from individual links via Textile formatting.

#14 - 2017-06-14 15:49 - Matthew Paul

Quick answer to a couple of people on this thread - "Why not just use the browser option to open links in new window". The reason is that, ideally, you
should be able to implement and maintain as much functionality at the enterprise level as possible. So, adding a setting option to 'open EXTERNAL
links in new window' would be very good. If you just want to do that a good plugin is here https:/github.com/lunakid/external_links_in_new_window
which is a fork from an original one that just opened all links in a new window, so that every time you clicked a wiki link it did that.

| didn't know if this had already been solved or added but thought I'd add to this thread as it still seems to be an issue.

#15 - 2024-03-15 08:30 - Joan J

Matthew Paul wrote in #note-14:

Quick answer to a couple of people on this thread - "Why not just use the browser option to open links in new window". The reason is that,
ideally, you should be able to implement and maintain as much functionality at the enterprise level as possible. So, adding a setting option to
'open EXTERNAL links in new window' would be very good. If you just want to do that a good plugin is here
https://github.com/lunakid/external_links_in_new_window which is a fork from an original one that just opened all links in a new window, so that
every time you clicked a wiki link it did that.

Anyone has this plugin on version 5.1.2? Since it hasn't been updated over 5 years | don't know if it is still working

Files

1151-patch-open-in-a-new-window.diff 587 Bytes 2014-12-01 Go MAEDA
